Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester.xmlrules
Class DigesterLoader

    java.lang.Object
      org.apache.commons.digester.xmlrules.DigesterLoader

    public class DigesterLoader

extends Object

This class manages the creation of Digester instances from XML digester rules files.

Since:
  1.2

Constructor Summary
`DigesterLoader()`

Method Summary
`static Digester` | `createDigester(InputSource rulesSource)` Creates a new digester and initializes it from the specified InputSource
`static Digester` | `createDigester(InputSource rulesSource, Digester rulesDigester)` Creates a new digester and initializes it from the specified InputSource.
`static Digester` | `createDigester(URL rulesXml)` Creates a new digester and initializes it from the specified XML file
`static Digester` | `createDigester(URL rulesXml, Digester rulesDigester)` Creates a new digester and initializes it from the specified XML file.
`static Object` | `load(URL digesterRules, ClassLoader classLoader, InputStream input)` Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects.
`static Object` | `load(URL digesterRules, ClassLoader classLoader, InputStream input, Object rootObject)` Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects.
`static Object` | `load(URL digesterRules, ClassLoader classLoader, Reader reader)` Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects.
`static Object` | `load(URL digesterRules, ClassLoader classLoader, Reader input, Object rootObject)` Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects.
`static Object` | `load(URL digesterRules, ClassLoader classLoader, URL fileURL)` Given the digester rules XML file, a class loader, and an XML input file, this method parses the input file into Java objects.
`static Object` | `load(URL digesterRules, ClassLoader classLoader, URL fileURL, Object rootObject)` Given the digester rules XML file, a class loader, and an XML input file, this method parses the input file into Java objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigesterLoader

    public DigesterLoader()

Method Detail

### createDigester

    public static Digester createDigester(InputSource rulesSource)

  Creates a new digester and initializes it from the specified InputSource

  Parameters:
    `rulesSource` - load the xml rules from this InputSource
  Returns:
    a new Digester initialized with the rules

### createDigester

    public static Digester createDigester(InputSource rulesSource,
                                          Digester rulesDigester)

  Creates a new digester and initializes it from the specified InputSource. This constructor allows the digester to be used to load the rules to be specified. This allows properties to be configured on the Digester instance before it is used.

  Parameters:
    `rulesSource` - load the xml rules from this InputSource
    `rulesDigester` - digester to load the specified XML file.
  Returns:
    a new Digester initialized with the rules

### createDigester

    public static Digester createDigester(URL rulesXml)

  Creates a new digester and initializes it from the specified XML file

  Parameters:
    `rulesXml` - URL to the XML file defining the digester rules
  Returns:
    a new Digester initialized with the rules

### createDigester

    public static Digester createDigester(URL rulesXml,
                                          Digester rulesDigester)

  Creates a new digester and initializes it from the specified XML file. This constructor allows specifing a rulesDigester to do the XML file loading; thus no matter the XML files is packed into a jar, a war, or a ear, the rulesDigester can always find the XML files with properly set ClassLoader.

  Parameters:
    `rulesXml` - URL to the XML file defining the digester rules
    `rulesDigester` - digester to load the specified XML file.
  Returns:
    a new Digester initialized with the rules

### load

    public static Object load(URL digesterRules,
                              ClassLoader classLoader,
                              URL fileURL)
                       throws IOException,
                              SAXException,
                              DigesterLoadingException

  Given the digester rules XML file, a class loader, and an XML input file, this method parses the input file into Java objects. The class loader is used by the digester to create the Java objects.

  Parameters:
    `digesterRules` - URL to the XML document defining the digester rules
    `classLoader` - the ClassLoader to register with the digester
    `fileURL` - URL to the XML file to parse into Java objects
  Returns:
    an Object which is the root of the network of Java objects created by digesting fileURL
  Throws:
    `IOException`
    `SAXException`
    `DigesterLoadingException`

### load

    public static Object load(URL digesterRules,
                              ClassLoader classLoader,
                              InputStream input)
                       throws IOException,
                              SAXException,
                              DigesterLoadingException

  Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects. The class loader is used by the digester to create the Java objects.

  Parameters:
    `digesterRules` - URL to the XML document defining the digester rules
    `classLoader` - the ClassLoader to register with the digester
    `input` - InputStream over the XML file to parse into Java objects
  Returns:
    an Object which is the root of the network of Java objects created by digesting fileURL
  Throws:
    `IOException`
    `SAXException`
    `DigesterLoadingException`

### load

    public static Object load(URL digesterRules,
                              ClassLoader classLoader,
                              Reader reader)
                       throws IOException,
                              SAXException,
                              DigesterLoadingException

  Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects. The class loader is used by the digester to create the Java objects.

  Parameters:
    `digesterRules` - URL to the XML document defining the digester rules
    `classLoader` - the ClassLoader to register with the digester
    `reader` - Reader over the XML file to parse into Java objects
  Returns:
    an Object which is the root of the network of Java objects created by digesting fileURL
  Throws:
    `IOException`
    `SAXException`
    `DigesterLoadingException`

### load

    public static Object load(URL digesterRules,
                              ClassLoader classLoader,
                              URL fileURL,
                              Object rootObject)
                       throws IOException,
                              SAXException,
                              DigesterLoadingException

  Given the digester rules XML file, a class loader, and an XML input file, this method parses the input file into Java objects. The class loader is used by the digester to create the Java objects.

  Parameters:
    `digesterRules` - URL to the XML document defining the digester rules
    `classLoader` - the ClassLoader to register with the digester
    `fileURL` - URL to the XML file to parse into Java objects
    `rootObject` - an Object to push onto the digester's stack, prior to parsing the input
  Returns:
    an Object which is the root of the network of Java objects. Usually, this will be the same object as rootObject created by digesting fileURL
  Throws:
    `IOException`
    `SAXException`
    `DigesterLoadingException`

### load

    public static Object load(URL digesterRules,
                              ClassLoader classLoader,
                              InputStream input,
                              Object rootObject)
                       throws IOException,
                              SAXException,
                              DigesterLoadingException

  Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects. The class loader is used by the digester to create the Java objects.

  Parameters:
    `digesterRules` - URL to the XML document defining the digester rules
    `classLoader` - the ClassLoader to register with the digester
    `input` - InputStream over the XML file to parse into Java objects
    `rootObject` - an Object to push onto the digester's stack, prior to parsing the input
  Returns:
    an Object which is the root of the network of Java objects created by digesting fileURL
  Throws:
    `IOException`
    `SAXException`
    `DigesterLoadingException`

### load

    public static Object load(URL digesterRules,
                              ClassLoader classLoader,
                              Reader input,
                              Object rootObject)
                       throws IOException,
                              SAXException,
                              DigesterLoadingException

  Given the digester rules XML file, a class loader, and an input stream, this method parses the input into Java objects. The class loader is used by the digester to create the Java objects.

  Parameters:
    `digesterRules` - URL to the XML document defining the digester rules
    `classLoader` - the ClassLoader to register with the digester
    `input` - Reader over the XML file to parse into Java objects
    `rootObject` - an Object to push onto the digester's stack, prior to parsing the input
  Returns:
    an Object which is the root of the network of Java objects created by digesting fileURL
  Throws:
    `IOException`
    `SAXException`
    `DigesterLoadingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.